$ErrorActionPreference = "Stop"
$PSNativeCommandUseErrorActionPreference = $true
Set-StrictMode -Version Latest

if ($PSEdition -eq "Core" -and $IsWindows -ne $true) {
    Write-Host "This script is only supported on Windows"
    Exit 1
}
elseif ([System.Environment]::OSVersion.Version.Major -lt 10) {
    Write-Host "This script is only supported on Windows 10 or later"
    Exit 2
}

$srv = Get-Service -Name "SCardSvr" -ErrorAction Ignore

if ($srv.Status -ne "Running") {
    Write-Host "Smart Card Service is not running" -ForegroundColor RED
}

$fwupd = "$PSScriptRoot\bin\fwupd.exe"

if (-not (Test-Path $fwupd)) {
    Write-Host "fwupd not found at $fwupd"
    Exit 4
}

& $fwupd "fw"
